﻿using Sample.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Reflection;
using System.Web;
using System.Web.Mvc;
using System.Data.Entity;
using System.Web.Script.Serialization;
using System.Data;

namespace Sample.Controllers
{
    public partial class HomeController : Controller
    {
        public ActionResult Index()
        {
            var DataSource = new simpledbEntities1().Employees.ToList();
            ViewBag.datasource = DataSource;
            return View();
        }

        public ActionResult Update(Employee value)
        {
            simpledbEntities1 context = new simpledbEntities1();
            Employee table = context.Employees.Single(v => v.EmployeeID == value.EmployeeID);
            context.Entry(table).CurrentValues.SetValues(value);
            context.Entry(table).State = EntityState.Modified;
            context.SaveChanges();
            return Json(value, JsonRequestBehavior.AllowGet);
        }

        public ActionResult Insert(Employee value)
        {
            simpledbEntities1 context = new simpledbEntities1();
            context.Employees.Add(value);
            context.SaveChanges();
            var data = context.Employees.ToList();
            return Json(value, JsonRequestBehavior.AllowGet);

        }

        public ActionResult Delete(int key)
        {
            simpledbEntities1 context = new simpledbEntities1();
            context.Employees.Remove(context.Employees.Single(v => v.EmployeeID == key));
            context.SaveChanges();
            var data = context.Employees.ToList();
            return Json(data, JsonRequestBehavior.AllowGet);
        }    
    }
}
